## org.apache.lucene.search
Class PrefixFilter

    java.lang.Object
      org.apache.lucene.search.Filter
          org.apache.lucene.search.MultiTermQueryWrapperFilter<PrefixQuery>
              org.apache.lucene.search.PrefixFilter

All Implemented Interfaces:
  Serializable

    public class PrefixFilter

extends MultiTermQueryWrapperFilter<PrefixQuery>

A Filter that restricts search results to values that have a matching prefix in a given field.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.lucene.search.MultiTermQueryWrapperFilter
`query`

Constructor Summary
`PrefixFilter(Term prefix)`

Method Summary
`Term` `getPrefix()`
`String` `toString()` Prints a user-readable version of this query.

Methods inherited from class org.apache.lucene.search.MultiTermQueryWrapperFilter
`clearTotalNumberOfTerms, equals, getDocIdSet, getTotalNumberOfTerms, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PrefixFilter

    public PrefixFilter(Term prefix)

Method Detail

### getPrefix

    public Term getPrefix()

### toString

    public String toString()

  Prints a user-readable version of this query.

  Overrides:
    `toString` in class `MultiTermQueryWrapperFilter<PrefixQuery>`